import { userInfo } from "os";
import { Cell, CellGroup, Image, Tag } from "vant";
import { defineComponent } from "vue";
import styles from "./index.module.less";

/**
 * @description: 视频详情
 * @param {type}
 */
interface UserType {
  headUrl: string;
  username: string;
  startTime: string;
  price: number;
  classNum: number;
}

export default defineComponent({
  name: "user-detail",
  props: {
    userInfo: Object as () => UserType
  },
  render() {
    return (
      <div class={styles.userDetail}>
        <Image class={[styles.banner]} src="https://daya.ks3-cn-beijing.ksyun.com/202201/SvB6tqR.png" fit="cover" />
        <CellGroup class={styles.userInfo}>
          <Cell title="从0开始学竖笛视频课" titleClass={styles.userTitle} />
          <Cell v-slots={{
            icon: () => <Image class={styles.avatar} src="https://daya.ks3-cn-beijing.ksyun.com/202201/SvB6tqR.png" />,
            title: () => (<div class={styles.name}>张星

              <div class={styles.buyNum}>6人已购买</div>
              {/* <Tag style={{ marginLeft: '8px' }} color="#FFF1DE" textColor="#FF9300">12课时</Tag> */}
            </div>),
            value: () => (<div class={styles.info}>￥120/4课时</div>),
          }}></Cell>
          {/* <Cell v-slots={{
            title: () => (<div class={styles.price}>
              <div class={styles.number}>
                <span class={styles.priceText}>￥</span>
                <span class={styles.priceNum}>99</span>
              </div>
              
            </div>),
            value: () => (<div class={styles.info}>已购 6 人</div>),
          }}></Cell> */}
        </CellGroup>
      </div>
    )
  }
})