import { defineComponent } from "vue";
import styles from "./create-submit.module.less";
import UserDetail from "@/business-components/user-detail";
import SectionDetail from "@/business-components/section-detail";
import CourseVideoItem from "@/business-components/course-video-item";
import { Button, Sticky } from "vant";


export default defineComponent({
  name: "CreateSubmit",
  render() {
    return (
      <div class={[styles.createSubmit, 'mb12']}>
        <UserDetail />
        <SectionDetail>
          <p class={styles.introduction}>小酷老师带您零基础学习竖笛，通过4节课的学习掌握竖笛演奏的基本方式，培养娘好的吐息习惯。</p>
        </SectionDetail>

        <SectionDetail title="课程列表" icon="courseList">
          { [1,2,3,1,2,3,1,2,3].map(item => (
            <CourseVideoItem class={'mb12'} detail={{
              id: 1,
              title: "竖笛演奏基础",
              content: "使学生初步了解竖笛的构造，学会吹奏姿势掌握基本呼吸掌握基本呼吸掌握基本呼吸方法。",
              imgUrl: 'https://daya.ks3-cn-beijing.ksyun.com/202201/SvB6tqR.png'
            }} />
          )) }
        </SectionDetail>

        <Sticky offsetBottom={0} position="bottom">
            <div class={[styles.btnGroup, styles.btnMore]}>
              <Button block round type="primary" plain>返回编辑</Button>
              <Button block round type="primary">创建完成</Button>
            </div>
          </Sticky>
      </div>
    )
  }
})